package com.yeejoin.precontrol.common.listener.event;

import com.alibaba.fastjson.JSONObject;

/**
 * @description: 基于spring事件机制做消息推送
 * @author: duanwei
 * @date: 2020-08-05 15:17
 **/
public class TranslateEvent extends BaseEvent {

    public TranslateEvent(Object source, String msg1) {
        super(source, msg1);
    }

    public TranslateEvent(Object source, JSONObject msg2) {
        super(source, msg2);
    }

    public TranslateEvent(Object source, Object objMsg) {
        super(source, objMsg);
    }
}
